function [num_layers, biases, weights] = network_(sizes,pmax)

  num_layers = length(sizes);
  % initialize biases and weights vectors
  biases = cell(num_layers-1,1);
  weights = cell(num_layers-1,1);
  % initialize weights and biases
  for i = 1:num_layers-1
    y = sizes(i+1);
    x = sizes(i);
    y1=0*2*(rand(y, 1)-0.5);%oiginal
    %yx=normrnd(0,2.0/(y+x),y,x); %Xavier Initializer\
    yx=normrnd(0,2.0/(x),y,x); %He Initializer


    biases{i,1} = y1(:);
    weights{i,1} =yx;
  end
end
